in scala.collection.immutable
class TreeSet

[scala.serializable]
`class` TreeSet [A]
  `extends` scala.collection.immutable.RedBlack[A]
  `with` scala.collection.immutable.Set[A]
  `with` scala.ScalaObject

  This class implements immutable sets using a tree.

Author:
  Martin Odersky
Version:
  2.0, 02/01/2007

Constructor Summary
| `def` this ()(view$4: (A) => scala.Ordered[A])
| `def` this (size: scala.Int, t: scala.collection.immutable.RedBlack.Tree[scala.Unit])(view$3: (A) => scala.Ordered[A])

Val Summary
| `val` size : scala.Int
`protected` | `val` tree : scala.collection.immutable.RedBlack.Tree[scala.Unit]

Def Summary
| `def` + (elem: A) : scala.collection.immutable.TreeSet[A] A new TreeSet with the entry added is returned,
| `def` - (elem: A) : scala.collection.immutable.TreeSet[A]
| `def` contains (elem: A) : scala.Boolean Checks if this set contains element `elem`.
| `def` elements : scala.Iterator[A] Creates a new iterator over all elements contained in this object.
| `def` empty [B] : scala.collection.immutable.Set[B] A factory to create empty maps of the same type of keys.
| `def` insert (elem: A) : scala.collection.immutable.TreeSet[A] A new TreeSet with the entry added is returned, assuming that elem is not in the TreeSet.
| `def` isSmaller (x: A, y: A) : scala.Boolean

Def inherited from scala.collection.immutable.RedBlack[A]
blacken , isSmaller, mkTree

Def inherited from scala.collection.immutable.Set[A]
** , +, +, ++, ++, -, -, --, --, empty, excl, excl, filter, flatMap, incl, incl, intersect, map

Constructor Detail

`def` this ()(view$4: (A) => scala.Ordered[A])

`def` this (size: scala.Int, t: scala.collection.immutable.RedBlack.Tree[scala.Unit])(view$3: (A) => scala.Ordered[A])

Val Detail

`val` size : scala.Int

`protected val` tree : scala.collection.immutable.RedBlack.Tree[scala.Unit]

Def Detail

`def` + (elem: A): scala.collection.immutable.TreeSet[A]

  A new TreeSet with the entry added is returned,

`def` - (elem: A): scala.collection.immutable.TreeSet[A]

`def` contains (elem: A): scala.Boolean

  Checks if this set contains element `elem`.

Parameters:
  `elem -` the element to check for membership.
Returns:
  true, iff `elem` is contained in this set.

`def` elements : scala.Iterator[A]

  Creates a new iterator over all elements contained in this object.

Returns:
  the new iterator

`def` empty [B]: scala.collection.immutable.Set[B]

  A factory to create empty maps of the same type of keys.

`def` insert (elem: A): scala.collection.immutable.TreeSet[A]

  A new TreeSet with the entry added is returned, assuming that elem is not in the TreeSet.

`def` isSmaller (x: A, y: A): scala.Boolean